html { min-height:100vh;}
body { 
      background-color: #ebe7dc; 
      font-family:'Arial';
      }
a:link {
	    color: #222;
    }

    a:visited {
	      color: #666;
      }

.container { 
    width: 100%;
    #text-align: center; margin: auto auto;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.radio-player {
   
        
    background-color: #fff;
    width: 100%;
    padding-top: 20px;    
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;

    gap: 10px;
}

.meta {
   
    text-align: center;

    width: 100%;
}

.lsong-line {
   background-color: #333;
   width: 100%;
   color: white;
   display: flex;
   justify-content: center;
   align-items: center;
   padding: 10px;
   min-height: 80px;	
   }

.program-line {
   #margin-top: 10px;
   padding-bottom: 20px;
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
   }

.circular-player {

    position: relative;
    width: 180px;
    height: 180px;

    display: flex;
    align-items: center;
    justify-content: center;
}

.progress-ring {

    transform: rotate(-90deg);
    position: absolute;
}

.progress-bg {

    fill: none;
    stroke: #333;
    stroke-width: 6;
}

.progress-bar {

    fill: none;
    stroke: orange;
    stroke-width: 6;

    stroke-linecap: round;

    stroke-dasharray: 327;
    stroke-dashoffset: 327;

    transition: stroke-dashoffset 0.1s linear;
}

.play-btn {

    position: relative;

    width: 100px;
    height: 100px;

    border-radius: 50%;
    border: none;

    background: #111;
    color: white;

    display: flex;
    align-items: center;
    justify-content: center;

    cursor: pointer;

    -webkit-appearance: none;
    appearance: none;

    -webkit-tap-highlight-color: transparent;

    touch-action: manipulation;

    outline: none;

    z-index: 2;
}

.play-btn .icon {
    font-size: 42px;
    line-height: 1;
    transition: transform 0.2s ease;
}

.play-btn:active .icon {
    transform: scale(0.9);
}

.play-btn:focus {
    outline: none;
    box-shadow: none;
}

.live-label {

    position: absolute;
    bottom: -22px;

    color: red;
    font-size: 22px;

    font-weight: bold;
}
.song-title {
    display: flex;
    justify-content: center; 
    align-items: center;
    padding: 10px;		       
    background-color: #666;
    opacity: 1;
    transition:
        opacity 0.3s ease,
        transform 0.3s ease;
        width: 100%;

    text-align: center;

    color: white;

    font-size: 18px;

    line-height: 1.3;

    min-height: 20px;

}

.fade-out {

    opacity: 0;
    transform: translateY(4px);
}

.fade-in {

    opacity: 1;
    transform: translateY(0);
}

.footer {
     padding-top: 20px;
     text-align: center
     }
